# Get email threads

Gets paged email threads ordered by last modified date

Endpoint: GET /v1/emails/threads/page
Version: 1.0

## Query parameters:

  - `client` (string)
    The email client (Gmail, Outlook)

  - `pageSize` (integer)
    The number of threads to returnDefault: 25

  - `cursor` (integer)
    The Id of the thread to skip to

## Response 200 fields (text/plain):

  - `threads` (array,null)

  - `threads.threadIdentifier` (string,null)

  - `threads.track` (boolean)

  - `threads.client` (string)
    Options:OutlookGmail
    Enum: "Outlook", "Gmail"

  - `threads.matterId` (integer,null)

  - `threads.matterNumber` (string,null)

  - `threads.matterName` (string,null)

  - `threads.matterStatus` (string,null)

  - `threads.matterIsDeleted` (boolean)

  - `threads.fileId` (integer,null)

  - `threads.filePath` (string,null)

  - `threads.contractId` (integer,null)

  - `threads.contractName` (string,null)

  - `threads.contractStatus` (string,null)

  - `threads.contractIsDeleted` (boolean)

  - `threads.fileEntryId` (integer,null)

  - `nextPageCursor` (integer,null)


